org.apache.fop.complexscripts.fonts

## Class GlyphMappingTable

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphMappingTable

Direct Known Subclasses:
  GlyphClassTable, GlyphCoverageTable, GlyphMappingTable.EmptyMappingTable, GlyphMappingTable.MappedMappingTable, GlyphMappingTable.RangeMappingTable

    public class GlyphMappingTable
    extends Object

Base class implementation of glyph mapping table. This base class maps glyph indices to arbitrary integers (mappping indices), and is used to implement both glyph coverage and glyph class maps.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Nested Class Summary

Nested Classes
`protected static class` `GlyphMappingTable.EmptyMappingTable` empty mapping table base class
`protected static class` `GlyphMappingTable.MappedMappingTable` mapped mapping table base class
`static class` `GlyphMappingTable.MappingRange` The `MappingRange` class encapsulates a glyph [start,end] range and a mapping index.
`protected static class` `GlyphMappingTable.RangeMappingTable` range mapping table base class

### Field Summary

Fields
`static int` `GLYPH_MAPPING_TYPE_EMPTY` empty mapping table
`static int` `GLYPH_MAPPING_TYPE_MAPPED` mapped mapping table
`static int` `GLYPH_MAPPING_TYPE_RANGE` range based mapping table

### Constructor Summary

Constructors
Constructor and Description
`GlyphMappingTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getEntries()` Obtain mapping entries.
`int` `getMappedIndex(int gid)` Map glyph identifier (code) to coverge index.
`int` `getMappingSize()` Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.
`int` `getType()` Obtain mapping type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GLYPH_MAPPING_TYPE_EMPTY

    public static final int GLYPH_MAPPING_TYPE_EMPTY

empty mapping table

See Also:
  Constant Field Values

#### GLYPH_MAPPING_TYPE_MAPPED

    public static final int GLYPH_MAPPING_TYPE_MAPPED

mapped mapping table

See Also:
  Constant Field Values

#### GLYPH_MAPPING_TYPE_RANGE

    public static final int GLYPH_MAPPING_TYPE_RANGE

range based mapping table

See Also:
  Constant Field Values

### Constructor Detail

#### GlyphMappingTable

    public GlyphMappingTable()

### Method Detail

#### getType

    public int getType()

Obtain mapping type.

Returns:
  mapping format type

#### getEntries

    public List getEntries()

Obtain mapping entries.

Returns:
  list of mapping entries

#### getMappingSize

    public int getMappingSize()

Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.

Returns:
  size of mapping table

#### getMappedIndex

    public int getMappedIndex(int gid)

Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the mapping table.

Parameters:
  `gid` - glyph identifier (code)
Returns:
  non-negative glyph mapping index or -1 if glyph identifiers is not mapped by table